<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

interface Login {
	/**
	 * @param	string $username
	 * @param	string $password
	 * @param	bool $checkStatus	Wheter we should check if the status of the user is active.
	 *								This is usually set to false when we're trying to activate the user.
	 */
	public function doLogin($username, $password, $checkStatus=true);
	public function doLogout();
}
?>