<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
echo '<p><div class="infobox">'.$Lang->getText('Forum.AddForumDescription').'</div></p>';
?>
<form method="POST">
	<table border="0">
		<input type="hidden" name="forum_add_submit" value="1" />
		<input type="hidden" name="section" value="<?php echo $section; ?>" />
		<input type="hidden" name="ref_id" value="<?php echo $ref_id; ?>" />
		<tr>
		    <td><strong><?php echo $Lang->getText('Forum.ForumNameName'); ?></strong><span class="required">*</span><br />
		    <input type="text" name="forum_name" value="<?php echo $forum_name; ?>"  /></td>
		</tr>
		<tr>
		    <td><strong><?php echo $Lang->getText('Forum.DescriptionName'); ?></strong><br />
		    <textarea name="description" rows="4" cols="40"><?php echo $description; ?></textarea></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Forum.SendAllPostsToName'); ?>:</strong><br />
				<em><?php echo $Lang->getText('Forum.SendAllPostsToDescription'); ?></em><br />
			<input type="text" name="send_all_posts_to" value="<?php echo $send_all_posts_to; ?>" size="40" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Forum.AdminModerated'); ?>:</strong><br />
			<input type="checkbox" name="moderation_level" <?php echo ($moderation_level ? 'checked="checked"' : '' ); ?> value="2" /></td>
		</tr>
        <tr>
			<td><strong><?php echo $Lang->getText('Tabs.ShowAssociationsTab'); ?>:</strong><br />
			<input type="checkbox" name="show_associations_tab" <?php echo ($show_associations_tab ? 'checked="checked"' : '' ); ?> value="1" disabled="disabled"/></td>
		</tr>
        <tr>
			<td><strong><?php echo $Lang->getText('Tabs.ShowTagsTab'); ?>:</strong><br />
			<input type="checkbox" name="show_tags_tab" <?php echo ($show_tags_tab ? 'checked="checked"' : '' ); ?> value="1" /></td>
		</tr>
		
		<tr>
		<td>
			<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
			<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'','forum','admin',array()) . "'; ")?>
		</td>
		</tr>
	</table>
</form>
