<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
echo '<p><div class="infobox">'.$Lang->getText('Frs.AddFrsReleaseDescription').'</div></p>';
?>
<script language="javascript" type="text/javascript" src="/datetimepicker.js">
</script>

<p>
	<strong><?php echo $Lang->getText('FrsRelease.AddNew'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('FrsReleaseAddAction') ?>" method="POST" enctype="multipart/form-data">
<input type="hidden" name="frs_package_id" value="<?php echo $_REQUEST['frs_package_id']; ?>"  />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ReleaseNameName'); ?>&nbsp;*</strong><br />
			<input type="text" name="release_name" value="<?php echo $release_name; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ReleaseNotesName'); ?></strong><br />
			<textarea name="release_notes" rows="10" cols="60"><?php echo $release_notes; ?></textarea></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ChangesName'); ?></strong><br />
			<textarea name="changes" rows="10" cols="60"><?php echo $changes; ?></textarea></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.PreformattedName'); ?></strong><br />
			<input type="checkbox" name="preformatted" value="1" <?php echo (($preformatted==1 ) ? 'checked="checked"' : ''); ?>/></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.IsReleasedName'); ?></strong><br />
			<input type="checkbox" name="is_released" value="1" <?php echo (($is_released==1 ) ? 'checked="checked"' : ''); ?>/></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ReleaseDateName'); ?></strong><br />
			<input id="releasedate" type="text" name="release_date" value="<?php echo date('M d Y'); ?>" size="11" maxlength="11" /><a href="javascript:NewCal('releasedate','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a></td>
		</tr>
		<?php
		$path = GFConf::get('system.ftp_upload_dir');
		$prUnixName = $Project->getUnixName();
		$isUploadEnable = GFConf::get('system.ftp_upload');
		if ($isUploadEnable && is_dir($path.$prUnixName)){
		?>
		<tr>
			<td><strong><?php echo $Lang->getText('FrsRelease.ProjectUploadFiles'); ?></strong><br />
			<?php
				$handle = opendir($path.$prUnixName);
				$frs_files = array();
				//$frs_files[] = 'None';
				$frs_files[] = 'None';
				?>
				<input type="hidden" name="frs_files[0]" value="None">
				<?php
				$i = 1;
				while (false !== ($filesinpath = readdir($handle))) {
					if ($filesinpath !== '.' && $filesinpath !== '..') {
						$frs_files[] = $filesinpath;
						?>
						<input type="hidden" name="frs_files[<?php echo $i; ?>]" value="<?php echo $filesinpath; ?>">
						<?php
						$i++;
					}
					 					 
				}
				//$selectedFiles = array();
				//$selectedFiles[] = 0;
				//echo HTMLWidget::multiselectFromAssoc('files', $frs_files, $selectedFiles, false, null, 	false, null);
				echo HTMLWidget::selectBoxFromAssoc($frs_files, 'files',0, false, null, false, null);
				?>
				</td>
		</tr>
		<?php } ?>
		<tr>
			<td><strong><?php echo $Lang->getText('Filesystem.AddNew'); ?></strong><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file"><br />
				<input name="addfile[]" size="30" type="file">
			</td>
		</tr>
			
		<tr>
			<td><strong><?php echo $Lang->getText('Trove.DevStatus'); ?></strong></td>
		<tr>
			<td>
			<?php
			$crit = new Criteria();
			$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveDevStatus'));
			$arr = TroveCategoryPeer::doSelect($crit);			
			echo HTMLWidget::Select('trove_devstatus', $arr, null, false, null, false, null)			
			?></td>
		</tr>
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'FrsReleaseBrowse','frs','admin',array('frs_package_id' => $frs_package_id)) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
