CREATE RULE project_delete_audit_rule AS ON DELETE TO PROJECT
	DO DELETE FROM audit_trail WHERE ref_id=OLD.project_id AND section IN ('project','user_project','user_project_role');
CREATE RULE project_delete_homepage_rule AS ON DELETE TO PROJECT
	DO UPDATE filesystem SET DELETED=true WHERE section='project' AND ref_id=OLD.project_id;
UPDATE filesystem SET deleted=true WHERE section='project' and ref_id NOT IN (SELECT project_id FROM project);
