<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('DocmanFolderAddAction') ?>" method="POST">
	<input type="hidden" name="parent_folder_id" value="<?php echo $parent_folder_id; ?>"  />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('DocmanFolder.FolderNameName'); ?>:&nbsp;*</strong><br />
			<input type="text" name="folder_name" value="<?php echo $folder_name; ?>"  /></td>
		</tr>
<?php
	if ($parent_folder_id == 0) {
?>
		<tr>
			<td><strong><?php echo $Lang->getText('DocmanFolder.IsPublicName'); ?>:</strong><br />
			<input type="checkbox" name="is_public" value="1" /></td>
		</tr>
<?php
	}
?>
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'','docman','admin',array('subdir' => $parent_folder_id)) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
