<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. P�ez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


require_once('plugins/snippet/wwwlib/search/commonsearch.php');
require_once('html/SiteTemplate.php');
$template = new SiteTemplate();

$params = array(
	'selectedtoptab'	=> 'snippet',
	'title'				=> Language::getSessText('SiteAdmin.Search')
	);

$val = $_REQUEST['search'];
$vals = explode('_',$val);

$params['words'] = Validator::sanitizeString($_REQUEST['words']);
$params['section'] = $vals[0];
$params['ref_id'] = $vals[1];
$params['template'] = $template;

$results = getSearchResults($params);
if(!$results) {
	$params = array('feedback' => Language::getSessText('Snippet.NoneFound'),
			'words' => stripslashes($_REQUEST['words']));
	GFUrl::getUrl()->redirect(GFUrl::getUrl()->baseUrl('', 'snippet', ''), $params);
}

$template->header($params);

echo '<center><form style="display: inline;" action="/gf/snippet/search/" method="get">';
echo '<input type="hidden" name="search" value="snippet_0">';
echo '<input type="hidden" name="type" value="snippet">';
echo '<input type="text" size="12" name="words" value="'.Validator::sanitizeString($_REQUEST['words']).'" />&nbsp;';
echo HTMLWidget::button("submit",$language->getSessText('SearchBox.search'),"Search","","");
echo '</form></center><br />';
echo Language::getSessText('Snippet.SearchMessage');
echo '<br /><br />';

echo $results;

?>


<?php

$template->footer();
?>
