<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
require_once('lib/html/association.php');
require_once('lib/html/TagsRenderer.php');
$theme->header($params);

$icon=(($Tracker->getDataType()==Tracker::DATATYPE_TASK) ? 'task' : 'tracker');
echo '<img src="/images/'.$icon.'_icon.gif" height="16" width="16" border="0" />&nbsp;[#'.$obj->getPrimaryKey().']  '. $obj->getSummary().'<br />';

?>
<script language="javascript" type="text/javascript" src="/datetimepicker.js">
</script>

<SCRIPT LANGUAGE="JavaScript" type="text/javascript">

function checkRows(textArea){

if (/*navigator.appName.indexOf("Microsoft Internet Explorer") == 0 ||*/ navigator.appVersion.match("MSIE 6"))
{
textArea.style.overflow = 'visible';
return;
}

while (
textArea.rows > 1 &&
textArea.scrollHeight < textArea.offsetHeight
){
textArea.rows--;
}

while (textArea.scrollHeight > textArea.offsetHeight)
{
textArea.rows++;
}

textArea.rows++;


return;
}

function cancelClick(el) {
	if ( navigator.appVersion.match("MSIE 7") ) {
		el.href = "java"+"script:;";
	}
	return false;
}
</SCRIPT>

<br />
<?php if ($Tracker->userIsAdmin()) { ?>
<a href="<?php echo GFUrl::getUrl()->currentBaseUrl('TrackerItemMove', array('tracker_item_id' => $obj->getTrackerItemId())) ?>"><?php echo $Lang->getText('TrackerItem.MoveItem'); ?></a> |
<a href="<?php echo GFUrl::getUrl()->currentBaseUrl('TrackerItemDelete', array('tracker_item_id' => $obj->getTrackerItemId())) ?>"><?php echo $Lang->getText('TrackerItem.DeleteItem'); ?></a> |
<a href="<?php echo GFUrl::getUrl()->currentBaseUrl('TrackerItemClone', array('tracker_item_id' => $obj->getTrackerItemId())) ?>"><?php echo $Lang->getText('TrackerItem.Clone'); ?></a> |
<a href="<?php echo GFUrl::getUrl()->currentBaseUrl('TrackerItemMerge', array('tracker_item_id' => $obj->getTrackerItemId())) ?>"><?php echo $Lang->getText('TrackerItem.MergeItem'); ?></a>
<?php } ?>
<form name="TrackerItemEdit" action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerItemEditAction') ?>" method="post" enctype="multipart/form-data">
	<input type="hidden" name="tracker_item_id" value="<?php echo $_REQUEST['tracker_item_id']; ?>" />
	<input type="hidden" name="start" value="<?php echo $start; ?>" />
	<table border="0" width="100%">
		<tr>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerItem.SubmittedByName'); ?>:</strong><br />
			<?php echo UserPeer::retrieveByPk($obj->getSubmittedBy())->getUserLink();  ?>
			</td>
		</tr>
		<?php if ($Tracker->getDatatype()==Tracker::DATATYPE_TASK) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerItem.StartDate'); ?></strong><span class="required">*</span><br />
			<?php if ($IS_TECH) { ?>
			<input type="text" id="task_start" name="start_date" value="<?php echo $start_date; ?>" size="11" maxlength="11" /><a href="javascript:NewCal('task_start','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
			<?php } else {
				echo $start_date;
			} ?>
			</td>
			<td><strong><?php echo $Lang->getText('TrackerItem.EndDate'); ?></strong><span class="required">*</span><br />
			<?php if ($IS_TECH) { ?>
			<input type="text" id="task_end" name="end_date" value="<?php echo $end_date; ?>" size="11" maxlength="11" /><a href="javascript:NewCal('task_end','MMMddyyyy')"><img src="/themes/gforge5/images/cal.gif" width="16" height="16" border="0" alt="Pick a date"/></a>
			<?php } else {
				echo $end_date;
			} ?>
			</td>
		</tr>
		<?php } else { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerItem.OpenDateName'); ?></strong><br />
			<?php echo $obj->getOpenDate(); ?></td>
			<td><?php if ($obj->getStatusId()==Tracker::STATUS_CLOSED) { ?><strong><?php echo $Lang->getText('TrackerItem.CloseDateName'); ?></strong><br />
			<?php echo $obj->getCloseDate(); } ?></td>
		</tr>
		<?php } ?>
		<?php  echo (($IS_TECH) ? $tefr->renderFields('EDIT', $TrackerItem,null,$_POST) : $tefr->renderFieldsReadOnly($TrackerItem) ); ?>
		<tr>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerItem.SummaryName'); ?></strong><br />
			<?php if ($IS_TECH) { ?>
			<input type="text" name="summary" value="<?php echo $obj->getSummary(); ?>" size="70" maxlength="255" /></td>
			<?php } else {
			echo $obj->getSummary();
			} ?>
		</tr>
		<tr id='details_readonly' class='row_visible'>
			
			<?php if ($IS_TECH) { ?>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerItem.DetailsName'); ?></strong>
			<a href='' class='enable_link' onclick="e1=document.getElementById('details_textarea');e1.className='row_visible';e2=document.getElementById('details_readonly');e2.className='row_hidden';checkRows(document.getElementById('details'));return cancelClick(this);"> (Edit)</a><br/>
			<?php echo '<pre id="details_readonly">'.wordwrap($obj->getDetails(),80).'</pre>';?></td>						
			<?php } else {?>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerItem.DetailsName'); ?></strong><br />
			<?php
			echo '<pre>'.wordwrap($obj->getDetails(),80).'</pre>';
			} ?>
		</tr>
		<tr id='details_textarea' class='row_hidden'>
			<td colspan="2"><strong><?php echo $Lang->getText('TrackerItem.DetailsName'); ?></strong><br />
			<?php if ($IS_TECH) { ?>
			<textarea style="overflow:hidden;" id='details' name='details' rows="7" cols="70" onkeyup="checkRows(this)"><?php echo $obj->getDetails(); ?></textarea>
			<?php } else {
			echo '<pre>'.wordwrap($obj->getDetails(),80).'</pre>';
			} ?>
		</tr>
	</table>
<br />
<table><tr><td>
<?php include('plugins/tracker/wwwlib/TrackerItemMessageAdd.php'); ?>
</td></tr></table>
<div id="mainTabSet" class="tabber">
<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='attachments') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('TrackerItem.Tabs.Files') ?>" id="filestab">
<?php include('plugins/tracker/wwwlib/TrackerItemFileEdit.php'); ?>
</div>
<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='changes') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('TrackerItem.Tabs.Changes') ?>" id="changestab">
<?php include('plugins/tracker/wwwlib/TrackerItemAuditTrail.php'); ?>
</div>
<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='commits') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('TrackerItem.Tabs.Commits') ?>" id="commitstab">
<?php include('plugins/tracker/wwwlib/TrackerItemCommits.php'); ?>
</div>
<?php if(is_null($Tracker->getShowDependenciesTab()) || $Tracker->getShowDependenciesTab()){ ?>
	<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='dependencies') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('TrackerItem.Tabs.Dependencies') ?>" id="dependenciestab">
	<?php include('plugins/tracker/wwwlib/TrackerItemRelationEdit.php'); ?>
	</div>
<?php }?>
<?php if(is_null($Tracker->getShowDuplicatesTab()) || $Tracker->getShowDuplicatesTab()){ ?>
	<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='duplicates') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('TrackerItem.Tabs.Duplicates') ?>" id="duplicatestab">
	<?php include('plugins/tracker/wwwlib/TrackerItemDuplicateEdit.php'); ?>
	</div>
<?php }?>
<?php /* community doesn't have associations if(is_null($Tracker->getShowAssociationsTab()) || $Tracker->getShowAssociationsTab()){ ?>
	<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='associations') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('Associations') ?>" id="associationstab">
<?php echo renderAssociationList(TrackerItem::SECTION,$obj->getTrackerItemId(),$IS_TECH,$theme,$project); ?>
	</div>
<?php  } */ ?>
<?php if(is_null($Tracker->getShowTagsTab()) || $Tracker->getShowTagsTab()){ ?>
	<div class="tabbertab<?php echo ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='tags') ? ' tabbertabdefault' : ''); ?>" title="<?php echo $Lang->getText('Tag.TabHeader') ?>" id="tagstab">
	<?php 
	echo TagsRenderer::getTagsTable($obj->getTrackerItemId(),TrackerItem::SECTION, $theme, $obj->getTrackerId());
	?>
	</div>
<?php } ?>
<?php /* community doesn't have time tracking
if ($IS_TECH) {
	if(is_null($Tracker->getShowTimeTrackingTab()) || $Tracker->getShowTimeTrackingTab()){
		echo '
		<div class="tabbertab'. ((isset($_GET['selectedtab']) && $_GET['selectedtab']=='timetracking') ? ' tabbertabdefault' : '').'" title="'.$Lang->getText('TrackerItem.Tabs.TimeTracking').'" id="timetrackingtab">';
		include('plugins/tracker/wwwlib/TrackerItemTimeEdit.php');
		echo '
		</div>';
	}
}
*/
ActionManager::notify('TRACKER_ITEM_EDIT_FORM',$TrackerItem);

?>
</div>
<br />
<br />	<!-- Extra br solves a problem with IE6/7 rendering -->
<center>
	<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
	<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'TrackerItemBrowse','tracker','',array('tracker_id' => $Tracker->getTrackerId())) . "'; ")?>
</center>
</form>


<?php
$theme->footer($params);
?>
