<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   
 * @author Federico Tarantini federico@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
echo $template->header($params);
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TroveAddAction') ?>" method="POST">
	<input type="hidden" name="root_trove_cat_id" value="<?php echo $root_category_id; ?>" />
	<input type="hidden" name="parent_trove_cat_id" value="<?php echo $parent_trove_cat_id ?>" />

	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('TroveAdd.Alias'); ?>&nbsp;*</strong><br />
			<input type="text" size="40" name="alias" value="<?php echo $alias;?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TroveAdd.Fullname'); ?>&nbsp;*</strong><br />
			<input type="text" size="40" name="fullname" value="<?php echo $fullname;?>" /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TroveAdd.Description'); ?>&nbsp;*</strong><br />
			<input type="text" size="40" name="description" value="<?php echo $description;?>" /></td>
		</tr>
		<tr>
			<td align="right">
				<?php echo HTMLWidget::button("submit","" .   Language::getSessText('TroveAdd.Add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('DisplayTroveMap',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
<?php
echo $template->footer($params);
?>
