<?php if (array_search(TroveRenderer::TROVE_DEV_STATUS, $troves) !== false) : ?>
<div class='troveForm' >
<input type="hidden" name="trove_has_trove_devstatus" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.DevStatus'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveDevStatus'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);
		if (count($arr)>0) {
			echo HTMLWidget::select('trove_devstatus', $arr, $selected_trove_dev_status, false, null, false, null);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_LICENSE, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_license" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.License'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveLicense'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);
		if (count($arr)>0) {
			echo HTMLWidget::select('trove_license', $arr, $selected_trove_license, false, null, false, null);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_OS, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_os" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.OS'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveOS'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			echo HTMLWidget::multiSelect('trove_os[]', $arr, $selected_troves, false, null, false, null);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_SPOKEN_LANGUAGE, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_spokenlanguage" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.SpokenLanguage'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveSpokenLanguage'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			echo HTMLWidget::multiSelect('trove_spokenlanguage[]', $arr, $selected_troves, false, null, false, null);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_PROGRAMMING_LANGUAGE, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_programminglanguage" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.ProgrammingLanguage'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveProgrammingLanguage'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			echo HTMLWidget::multiSelect('trove_programminglanguage[]', $arr, $selected_troves, false, null, false, null);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_TOPIC, $troves) !== false) : ?>
<input type="hidden" name="trove_has_trove_topic" value="1" />
<p>		
	<strong><?php echo $Lang->getText('Trove.Topic'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveTopic'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			$count=count($arr);
			$nest=array();
			for ($i=0; $i<$count; $i++) {
				if(!isset($nest[$arr[$i]->getParentTroveCategoryId()])) {
					$nest[$arr[$i]->getParentTroveCategoryId()] = array();
					$nest[$arr[$i]->getParentTroveCategoryId()][] = $arr[$i];		
				} else {			
					$nest[$arr[$i]->getParentTroveCategoryId()][] = $arr[$i];			 
				}
			}
			$result = array();
			$aux = array();
			$aux[0] = $nest;
			$res = HTMLWidget::renderArranged($nest,18,0,$result,false); // get the elements 
			echo HTMLWidget::multiSelectFromAssoc('trove_topic[]',$res,$selected_troves,'',false,'',false,'',20);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php if (array_search(TroveRenderer::TROVE_INTENDED_AUDIENCE, $troves) !== false) : ?>

<p>		
	<input type="hidden" name="trove_has_trove_intendedaudience" value="1" />
	<strong><?php echo $Lang->getText('Trove.IntendedAudience'); ?></strong>
	<br />
	<div>
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, GFConf::get('system.troveIntendedAudience'));
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			echo HTMLWidget::multiSelect('trove_intendedaudience[]', $arr, $selected_troves, false, null, false, null);
		}
	?>
	</div>
</p>
<?php endif; ?>
<?php
$extra_troves = GFConf::get('system.extraTroveRootCategories');
$c = new Criteria();
$c->add(TroveCategoryPeer::TROVE_CATEGORY_ID, $extra_troves, Criteria::IN);
$categories = TroveCategoryPeer::doSelect($c);

foreach ($categories as $category) {  ?>
<input type="hidden" name="<?php echo "trove_has_trove_".$category->getAlias(); ?>" value="1" />
<p>		
	<strong><?php echo $category->getCategoryName(); ?></strong>
	<br />
	<?php
		$crit = new Criteria();
		$crit->add(TroveCategoryPeer::ROOT_TROVE_CATEGORY_ID, $category->getTroveCategoryId());
		$crit->addAscendingOrderByColumn(TroveCategoryPeer::CATEGORY_NAME);
		$arr = TroveCategoryPeer::doSelect($crit);			
		if (count($arr)>0) {
			echo HTMLWidget::multiSelect('trove_'.$category->getAlias().'[]', $arr, $selected_troves, false, null, false, null);
		}	
	?>
</p>

<?php  
} ?>
</div>
