<?php

require_once('core/TagEntryPeer.php');
require_once('core/TagEntry.php');
require_once('lib/html/ProjectTemplate.php');

$Lang = Session::getSession()->getLanguage();
$theme = new ProjectTemplate();

$project = GFUrl::getUrl()->getProject();

$params = array(
	'project'=> $project,
	'action'=> isset($action) ? $action : '',
	'feedback'=> isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
	'title'=> $Lang->getText('Tag.AddPageTitle')
);

$ref_id = isset($_GET['ref_id']) ? htmlspecialchars($_GET['ref_id']) : (isset($_POST['ref_id']) ? htmlspecialchars ($_POST['ref_id']) : '');
$section = isset($_GET['ref_id']) ? htmlspecialchars($_GET['section']) : (isset($_POST['ref_id']) ? htmlspecialchars ($_POST['section']) : '' );
$tags = isset($_POST['tags']) ? htmlspecialchars($_POST['tags']) : '';
$return_to = isset($_GET['return_to']) ? htmlspecialchars($_GET['return_to'])  : (isset($_POST['ret_to']) ? htmlspecialchars($_POST['return_to']) : '');

if(!isset($item)){
	$item = TagEntryPeer::getItemToTag($section, $ref_id);
}



echo $theme->header($params);
	
include('forms/TagAdd-tpl.php');

?>
